#!/bin/sh

#  process Acid Rain Data
#   bc = basecase = day specific
#   bl = baseline = generic
#  tx_osd_fy18b_HECT c14jul2008 (0801) new afs c11jul2008
#                    c21jul2008 new afs c21jul2008 less 380 NOx records that belong in exempt
#                    c22jul2008 MECT n HECT fixes
#  tx_osd_fy18c_HECT c14jul2008 (0801) new afs c11jul2008
#  tx_osd_fy18c_075HECT c02feb2009 (0801) new afs c30jan2009 sensistivity (afs.osd_HGB_HECT_075)
#  tx_osd_fy18d_075HECT c02apr2009 (0801) new afs c02apr2009 sensistivity (afs.osd_HGB_HECT_075)
#  tx_osd_fy18e_075HECT c08apr2009 (0801) new afs c08apr2009 sensistivity (afs.osd_HGB_HECT_075)
#  tx_osd_fy18f_075HECT c03jun2009 (0801) new afs c03jun2009
#  tx_osd_fy18g_HECT_old_allo c09dec2009 (0801) new afs c09dec2009
#  tx_osd_fy12a_HECT c15Jul2010 (20060601) DFW afs c13Jul2010
#                    /ei/point/DFW/2012/model/no_zeros/afs.2012_HECT_HarrisCo_2008_basis_all_pts_v1_nozeros
#  tx_osd_fy18a_HECT 25June2013 /ei/point/TX/2018/model/afs.2018_HECT_HarrisCo_2011_basis_all_pts &
#                    /ei/point/stars/2011/data/emscvt_inputs/prof.emscvt.2011_v2a_w_HECT.pt, MKJ 24June2013
# fy18b_HECT75 12Sep2013 /ei/point/TX/2018/model/afs.2018_0.75HECT_HarrisCo_2011_basis_all_pts &
#                    /ei/point/stars/2011/data/emscvt_inputs/prof.emscvt.2011_v2a_w_0.75HECT.pt, MKJ 10Sep2013
# fy18c_HECT  21Jan2014 /ei/point/TX/2018/model/afs.2018_HECT_cap_n_trade_HarrisCo_2011_basis_all_pts_v2 &
#               /ei/point/stars/2011/data/emscvt_inputs/prof.emscvt.2011_v2a_w_HECT_cap_n_trade.pt, MKJ 17Jan2014
# fy18d_HECT 28Mar2014 STARS 2012_v1a afs.2018_HECT_cap_n_trade_HarrisCo_2012_basis_all_pts_v3 MKJ 19Mar2014 &
#                      prof.emscvt.2012_v1a_w_HECT_cap_n_trade.pt MKJ 19Mar2014 & xref.voc.eps3f.stars_2012_v1a.pt 18Feb2014
# fy18d_HECT 12May2014 STARS 2012_v3a afs.2018_HECT_cap_n_trade_HarrisCo_2012_basis_all_pts_v3 MKJ 09May2014 &
#                      prof.emscvt.2012_v3a_w_HECT_cap_n_trade.pt 09May2014 & xref.voc.eps3f.stars_2012_v3a.pt 08May2014
# fy17a_HECT 19May2015 afs.2017_HECT_cap_n_trade_HarrisCo_2012_basis_all_pts, MKJ 8May2015
# fy17b_HECT 28Apr2016 afs.2017_HECT_cap_n_trade_HarrisCo_2013_basis_all_pts, MKJ 8Mar2016
# fy17b_HECT 09Jun2016 afs.2017_HECT_cap_n_trade_HarrisCo_2014_basis_all_pts_v2, MKJ 27May2016
# fy17c_HECT 27Sep2016 afs.2017_HECT_cap_n_trade_HarrisCo_2014_basis_all_pts_v4, MKJ 26Sep2016
# fy17d_HECT 18Nov2016 fy2017_d shifted decimal coord fix - afs.2017_HECT_cap_n_trade_HarrisCo_2014_basis_all_pts_v5, MKJ 16Nov2016
# fy23a_HECT 27Jun2017 afs.2023_HECT_cap_n_trade_HarrisCo_2015_basis_all_pts, MKJ 27Jun2017
# fy23b_HECT 13Sep2017 scc fix afs.2023_HECT_cap_n_trade_HarrisCo_2015_basis_all_pts_v2, MKJ 13Sep2017
# fy20a_HECT 18Jul2018 Bump-up SIP afs.2020_HECT_ozone_season_HarrisCo_2016_basis, MKJ 21Jun2018
# fy20a_HECT 18Jul2018 Bump-up SIP 2020_2Qprelim - afs.2020_HECT_cap_n_trade_HarrisCo_2016_basis_all_pts, MKJ 6Sep2018
# fy20a_HECT_hc 24Oct2018 afs.2020_HECT_w_HARD_CAP_HarrisCo_2016_basis_all_pts, MKJ 8Oct2018
# fy20b_HECT_hc 3Jan2019 afs.2020_HECT_w_HARD_CAP_HarrisCo_2016_basis_trial, MKJ 11Dec2019
# fy20c_HECT_hc 28Feb2019 FY2020_v1 afs.2020_HECT_w_HARD_CAP_HarrisCo_2016_basis_trial_v2, KW 1Mar2019
#               2Apr2019 - rerun w/ 200615 instead of 13
# fy20a_b12it 16Jul2019 FY2020_B12_IT afs.2020_HECT_cap_n_trade_HarrisCo_2012_basis_all_pts, KW 15Jul19
#

 USER_PATH=/ei/point/rpo_eps3/userin
 export USER_PATH

 today=`date +%y%b%d`
 PT_PATH=/ei/point/rpo_eps3
 export PT_PATH

 EPS3_PATH=/usr/local/pub/eps3/src
 export EPS3_PATH

 for county_switch in 8co
  do

 case $county_switch in
  '8co')    county_group=hgb_8co ;; # forces all elevated
 esac

 run_type=tx_osd
 yyX=20a_b12it_HECT
 scenario=tx_osd_fy${yyX}_${county_group}
 subd=fy20a_b12it

#grid=conus_12km
grid=na_12km

 tmprof_xref=tmprl.xref.tx_osd_fy2020c
 tmprof=tmprl.profs.tx_osd_fy2020c

 ugrid=${grid}_egu_${county_group} # forces HECT elevated

 for spec in cb6p
  do

  #cb05 splitfac=`get_file "/ei/point/EPS3/chmspl/emscvt/splitfac.cb05.2008_v3b.pt.all.12Jul10"`
  #cb05 chmprof_xref=`get_file "/ei/point/EPS3/chmspl/spec_xref/xref.voc.eps3f.2008_v3b.pt.all.12Jul10"`

 case $spec in
  'cb4')   fac_v=2005v3a_2004v4d.pt.all ;;
  'cb05')  fac_v=2006_v6a.pt.all ;;
  's99')   fac_v=2000v15c.pt.all ;;
  'cb6')   fac_v=2006_v7a.pt.all;;
  'cb6p') prof=gspro_2020_v5a_w_HECT_cap_n_trade.28Feb2019
          xref=gsref_2020_v5a_w_HECT_cap_n_trade.28Feb2019
          conv=gscnv_2020_v5a.28Feb2019 ;;
 esac

 for yymmdd in \
  200615 \

 do
 
 afsin=afs.tx_osd.fy${yyX}.$county_group

 master_uin=$USER_PATH/$grid/userin.$spec.YYMMDD.$ugrid
 temp_uin=$USER_PATH/$grid/userin.$spec.$yymmdd.$ugrid
 dow=`date -d $yymmdd | awk '{print $1}'`
 sed "s/DOW/$dow/g" $master_uin > $temp_uin
 dd=`echo $yymmdd | cut -c5-`
 Mmm=`date -d $yymmdd | awk '{print $2}'`
 yyyy=`date -d $yymmdd | awk '{print $NF}'`
 perl -pi -e "s/ DD Mmm YYYY/ $dd $Mmm $yyyy/" $temp_uin
 perl -pi -e "s/YYMMDD/$yymmdd/" $temp_uin 

  echo
  echo "today  yymmdd  grid scenario afsin ugrid dow dd Mmm YYYY"
  echo $today  $yymmdd  $grid $scenario $afsin $ugrid $dow $dd $Mmm $yyyy

 cd $PT_PATH/prepnt/$run_type
  run.prepnt.$run_type.sh $today $yymmdd $grid $spec $run_type $scenario $afsin $ugrid

 cd $PT_PATH/spcems/$run_type
  run.spcems.$run_type.sh $today $yymmdd $grid $spec $run_type $scenario $ugrid $prof $xref $conv

 cd $PT_PATH/tmprl/$run_type
  run.tmprl.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario $tmprof_xref $tmprof $ugrid

 cd $PT_PATH/pstpnt/$run_type
  run.pstpnt.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario $ugrid

 cd $PT_PATH/pigems/$run_type
  run.pigems.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario $ugrid
 
 # Replace yymmdd 
  rename $yymmdd OSD $PT_PATH/*/$run_type/*$scenario.$today
      
 #rm $temp_uin

 #Move output files to subdirectory
 for t in prepnt spcems tmprl pstpnt pigems
  do
 
   if [ ! -d  $PT_PATH/$t/$run_type/$subd ]; then
    mkdir -p $PT_PATH/$t/$run_type/$subd
   fi
   mv $PT_PATH/$t/$run_type/*$scenario.$today  $PT_PATH/$t/$run_type/$subd
   ls -l $PT_PATH/$t/$run_type/$subd/*$scenario.$today
  done #t

 done
 done
done
exit
