#!/bin/sh

#  process Acid Rain Data
#   bc = basecase = day specific
#   bl = baseline = generic
#
# tx_osd_fy18a_MECT 25June2013 /ei/point/TX/2018/model/afs.osd_mect_2018_based_on_2011_RPOlcp, MKJ 24June2013
# tx_osd_fy18b_MECT 15Aug2013 /ei/point/TX/2018/model/afs.osd_mect_2018_based_on_2011_RPOlcp_v2, MKJ 23July2013
# tx_osd_fy18c_MECT 10Oct2013 /ei/point/TX/2018/model/afs.osd_mect_2018_based_on_2011_RPOlcp_v3, MKJ 18Sep2013
# tx_osd_fy18c_MECT 18Dec2013 /ei/point/TX/2018/model/afs.osd_mect_2018_based_on_2011_RPOlcp_v3, MKJ 18Dec2013, 78.554 tpd NOx
# tx_osd_fy18d_MECT 04Feb2014 /ei/point/TX/2018/model/afs.osd_mect_2018_based_on_2011_RPOlcp_v4, MKJ 31Jan2014, 76.7553 tpd NOx
# tx_osd_fy18e_MECT 28Mar2014 STARS 2012_v1a basis for afs.osd_mect_2018_based_on_2012_RPOlcp_v6, MKJ 19Mar2014, 76.7553 tpd NOx - NOT CAMxed
# tx_osd_fy18e_MECT 05May2014 STARS 2012_v1a afs.osd_mect_2018_based_on_2012_RPOlcp_v7, MKJ 02May2014, 79.5492 tpd NOx
# tx_osd_fy18e_MECT 12May2014 STARS 2012_v3a afs.osd_mect_2018_based_on_2012_RPOlcp_v7, MKJ 08May2014, 79.5492 tpd NOx
# tx_osd_fy18e_MECT 29May2014 STARS 2012_v4a afs.osd_mect_2018_based_on_2012_RPOlcp_v8, MKJ 28May2014, 79.5492 tpd NOx
# tx_osd_fy18f_MECT 03Apr2015 4MO_2018v2 afs.osd_mect_2018_based_on_2012_RPOlcp_v9, MKJ 24Mar2015, 72.2092 tpd NOx
# tx_osd_fy17a_MECT 20May2015 2017 afs.osd_mect_2017_based_on_2012_RPOlcp, MKJ 11May2015, 77.6479tpd NOx
# tx_osd_fy17b_MECT 27Apr2015 2017b afs.osd_mect_2017_based_on_2014_RPOlcp, MKJ 3Mar2016, 77.6479tpd  NOx (fy17.c0k)
# tx_osd_fy17c_MECT 31May2015 2017c afs.osd_mect_2017_based_on_2014_RPOlcp.v3, MKJ 27May2016, 83.8387 tpd  NOx
# tx_osd_fy17d_MECT 27Sep2016 2017c afs.osd_mect_2017_based_on_2014_RPOlcp.v4, MKJ 27Sep2016, 82.9695 tpd NOx
# tx_osd_fy23a_MECT 27Jun2017 fy2023a GNS, afs.osd_mect_2023_with_2013_ERTAC_EGUs, MKJ 27Jun2017, 91.9128 tpd NOx
# tx_osd_fy23b_MECT 13Sep2017 scc fix fy2023b GNS, afs.osd_mect_2023_with_2013_ERTAC_EGUs_v2, MKJ 13Sep2017
# tx_osd_fy20a_MECT 19Jul2018 Bump-up SIP, afs.osd_mect_2020_with_2020_ERTAC_EGUs, MKJ 19Jul2018
# tx_osd_fy20a_MECT 3Oct2018 Bump-up SIP 2020_2Qprelim, afs.osd_mect_2020_with_growth_cap, MKJ 7Sep2018
# tx_osd_fy20a_MECT_hc 24Oct2018 Bump-up SIP 2020_2Qprelim, afs.osd_mect_2020_with_HARD_CAP, MKJ 8Oct2018
# fy20b_MECT_hc 3Jan2019  2020_complete, afs.osd_mect_2020_with_HARD_CAP_trial, MKJ 12Dec2018
# fy20c_MECT_hc 28Feb2019 FY2020_v1, afs.osd_mect_2020_with_HARD_CAP_trial_v2, KW 28Feb2019
# fy20a_b12it 16Jul2019 FY2020_B12_IT, afs.osd_mect_FY2020_HARD_CAP, KW 15Jul2019
#

 USER_PATH=/ei/point/rpo_eps3/userin
 export USER_PATH

 today=`date +%y%b%d`
 PT_PATH=/ei/point/rpo_eps3
 export PT_PATH

 EPS3_PATH=/usr/local/pub/eps3/src
 export EPS3_PATH

 for county_switch in 8co
  do

 case $county_switch in
  '8co')    county_group=hgb_8co ;; # forces all elevated
  'no8co')  county_group=no_hgb_8co ;;
 esac

 run_type=tx_osd
 yyX=20a_b12it_MECT
 subd=fy20a_b12it
 scenario=tx_osd_fy${yyX}_${county_group}


 #grid=conus_12km
 grid=na_12km

 tmprof_xref=tmprl.xref.tx_osd_fy2020c
 tmprof=tmprl.profs.tx_osd_fy2020c

 ugrid=${grid}_egu_${county_group} # forces MECT elevated

 for spec in cb6p
  do

  #cb05 splitfac=`get_file "/ei/point/EPS3/chmspl/emscvt/splitfac.cb05.2008_v3b.pt.all.12Jul10"`
  #cb05 chmprof_xref=`get_file "/ei/point/EPS3/chmspl/spec_xref/xref.voc.eps3f.2008_v3b.pt.all.12Jul10"`

 case $spec in
  'cb4')   fac_v=2005v3a_2004v4d.pt.all ;;
  'cb05')  fac_v=2006_v6a.pt.all ;;
  's99')   fac_v=2000v15c.pt.all ;;
  'cb6')   fac_v=2006_v7a.pt.all;;
  'cb6p') prof=gspro_2020_v3a_w_HECT_cap_n_trade.16Jul2018
          xref=gsref_2016_v3a.02Jul2018
          conv=gscnv_2016_v3a.02Jul2018 ;;
 esac

 for yymmdd in \
  200617 \

 do
 
 afsin=afs.tx_osd.fy${yyX}.$county_group

 master_uin=$USER_PATH/$grid/userin.$spec.YYMMDD.$ugrid
 temp_uin=$USER_PATH/$grid/userin.$spec.$yymmdd.$ugrid
 dow=`date -d $yymmdd | awk '{print $1}'`
 sed "s/DOW/$dow/g" $master_uin > $temp_uin
 dd=`echo $yymmdd | cut -c5-`
 Mmm=`date -d $yymmdd | awk '{print $2}'`
 yyyy=`date -d $yymmdd | awk '{print $NF}'`
 perl -pi -e "s/ DD Mmm YYYY/ $dd $Mmm $yyyy/" $temp_uin
 perl -pi -e "s/YYMMDD/$yymmdd/" $temp_uin 

  echo
  echo "today  yymmdd  grid scenario afsin ugrid dow dd Mmm YYYY"
  echo $today  $yymmdd  $grid $scenario $afsin $ugrid $dow $dd $Mmm $yyyy

 cd $PT_PATH/prepnt/$run_type
  run.prepnt.$run_type.sh $today $yymmdd $grid $spec $run_type $scenario $afsin $ugrid

 cd $PT_PATH/spcems/$run_type
  run.spcems.$run_type.sh $today $yymmdd $grid $spec $run_type $scenario $ugrid $prof $xref $conv

 cd $PT_PATH/tmprl/$run_type
  run.tmprl.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario $tmprof_xref $tmprof $ugrid

 cd $PT_PATH/pstpnt/$run_type
  run.pstpnt.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario $ugrid

 cd $PT_PATH/pigems/$run_type
  run.pigems.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario $ugrid
 
 # Replace yymmdd 
  rename $yymmdd OSD $PT_PATH/*/$run_type/*$scenario.$today

 #rm $temp_uin

 #Move output files to subdirectory
 for t in prepnt spcems tmprl pstpnt pigems
  do
 
   if [ ! -d  $PT_PATH/$t/$run_type/$subd ]; then
    mkdir -p $PT_PATH/$t/$run_type/$subd
   fi
   mv $PT_PATH/$t/$run_type/*$scenario.$today  $PT_PATH/$t/$run_type/$subd
   ls -l $PT_PATH/$t/$run_type/$subd/*$scenario.$today
  done #t

 
 done
 done
done
exit
