#!/bin/sh

# Nonflares is _1.sh

# tx_osd_bcl06f.mSI_mHF_day_1.sh 01Feb2013 - OSD avg day minus complete SI and HRVOC flares -
#                           afs.osd_minus_SI_n_flares_for_15Aug2006_episode_RPOlcp, MKJ 02Nov2012.
# tx_osd_bcl12a.mard_1.sh 28Feb2013 - June 2012 from STARS 2011 v1a - afs.osd_2012_all_pols_RPOlcp, MKJ 28Feb2013
# tx_osd_bcl12a.mard_1.sh 15May2013 - 2012 from STARS 2011 v2a - afs.osd_2011_all_pols_RPOlcp.v2, MKJ 22Apr2013
# fy18a_gro_from_2011 25June2013 - /ei/point/TX/2018/model/afs.osd_recs_to_grow_by_control_pack, MKJ 24Jun2013
#                                  and BE's TXosd_grow11to18_cnty_SIC_ERG_TCEQcontract5820784003.eps3
# fy18b_gro_from_2011 15Aug2013 - /ei/point/TX/2018/model/afs.osd_recs_to_grow_by_control_pack_v2, MKJ 14Aug2013
#                     9Sep2013 - control.info_2011_to_2018_growth_facs_for_all_points by MKJ 6Sep2013
# fy18c_grown 12Sep2013 - /ei/point/TX/2018/model/afs.osd_no_controls_grown_to_2018.RPOlcp, MKJ 9Sep2013
# fy18e_grown 10Oct2013 - CO added to HGB & DFW in /ei/point/TX/2018/model/afs.osd_no_controls_grown_to_2018.RPOlcp, MKJ 30Sep2013
# fy18e_grown 19Dec2013 - /ei/point/TX/2018/model/afs.osd_no_controls_grown_to_2018.RPOlcp_v2, MKJ 9Dec2013
# fy18f_grown 03Feb2013 - /ei/point/TX/2018/model/afs.osd_no_controls_grown_to_2018.RPOlcp_v4, MKJ 31Jan2014
# fy18g_grown 28Mar2013 - STARS 2012_v1a afs.osd_no_controls_grown_to_2018.RPOlcp_v6, MKJ 21Mar2014 - NOT CAMx'ed
# fy18g_grown 05May2014 - STARS 2012_v1a afs.osd_no_controls_grown_to_2018.RPOlcp_v7, MKJ 29Apr2014
# fy18g_grown 12May2014 - STARS 2012_v3a afs.osd_no_controls_grown_to_2018.RPOlcp_v7, MKJ 12May2014
# fy18g_grown 29May2014 - STARS 2012_v4a afs.osd_no_controls_grown_to_2018.RPOlcp_v7, MKJ 28May2014
# fy18g_grown 05Jun2014 - STARS 2012_v4aafs.osd_no_controls_grown_to_2018.RPOlcp_v7, MKJ 05Jun2014; kiln consent decree
# fy18h_grown 16Jun2014 - Oak Grove fix, afs.osd_no_controls_grown_to_2018.RPOlcp_v8, MKJ 16Jun2014
# fy18i_grown 02Apr2015 - 4MO_2018v2, /ei/point/TX/2x13/model/afs.osd_no_controls_grown_to_2018.RPOlcp_v9, MKJ 24Mar2015
# fy17a_grown 19May2015 - 2017_futurecase, afs.osd_no_controls_grown_to_2017.RPOlcp_v10, MKJ 15May2015
# fy17b_grown 28Apr2016 - afs.osd_no_controls_grown_to_2017.RPOlcp_v11, MKJ 22Mar2016
# fy17c_grown 27Sep2016 - afs.osd_no_controls_grown_to_2017.RPOlcp_v12, MKJ 26Sep2016
# fy17d_grown 18Nov2016 - fy2017_d shifted decimal coord fix - afs.osd_no_controls_grown_to_2017.RPOlcp_v13, MKJ 16Nov2016
# fy23a_grown 27Jun2017 - /ei/point/TX/2023/model/afs.osd_uncontrolled_2023_growth_recs, MKJ 27Jun2017
# fy23b_grown 13Sep2017 - scc fix/ei/point/TX/2023/model/afs.osd_uncontrolled_2023_growth_recs_v2, MKJ 13Sep2017
# fy20a_grown 18Jul2018 - Bump-up SIP /ei/point/TX/2020/model/afs.osd_uncontrolled_2020_growth_recs, MKJ 6Jul2018
#             24Oct2018 - /ei/point/TX/2020/model/afs.osd_uncontrolled_2020_growth_recs, MKJ 8Oct2018
# fy20b_grown 3Jan2019 - /ei/point/TX/trial_run/output_files/afs.osd_uncontrolled_2020_growth_recs_trial, MKJ 13Dec2018
# fy20c_grown 1Mar2019 - /ei/point/TX/trial_run/output_files/afs.osd_uncontrolled_2020_growth_recs_trial_v2, KW 28Feb2019
#             2Apr2019 - rerun w/ 200615 instead of 13
# fy20a_b12it_grown 16Jul2019 - FY2020_B12_IT afs.osd_uncontrolled_2020_growth_recs_b12, KW 16Jul2019
#

 USER_PATH=/ei/point/rpo_eps3/userin
 export USER_PATH

 today=`date +%y%b%d`
 PT_PATH=/ei/point/rpo_eps3
 export PT_PATH

 EPS3_PATH=/usr/local/pub/eps3/src
 export EPS3_PATH

for grid in \
  na_12km \
  tx_4km \

   do
 
 for county_switch in 8co 10co no18co
    do

 case $county_switch in
  '8co')    county_group=hgb_8co ;;
  'no8co')  county_group=no_hgb_8co ;;
  '10co')    county_group=dfw_10co ;;
  'no10co')  county_group=no_dfw_10co ;;
  'no18co') county_group=no_h_d_18co ;;
  'hg_11co') county_group=hg_11co ;;
 esac

 run_type=tx_osd
 version=fy20a_b12it_grown
 scenario=tx_osd_${version}_${county_group}
 subd=fy20a_b12it
 
 tmprof_xref=tmprl.xref.tx_osd_fy2020c
 tmprof=tmprl.profs.tx_osd_fy2020c

 ugrid=${grid}_${county_group}

  case $grid in
   'hg_1km')   ugrid=${grid} ;;
   'hg_02km')  ugrid=${grid}_${county_switch} ;;
   'hg_04km')  ugrid=${grid}_${county_switch} ;;
   'dfw_04km') ugrid=${grid}_${county_switch} ;;
  esac


 for spec in cb6p
 #for spec in cb6
 #for spec in cb05
  do

 case $spec in
  'cb4')   fac_v=2005v3a_2004v4d.pt.all ;;
  'cb05')  fac_v=2006_v6a.pt.all ;;
  's99')   fac_v=2000v15c.pt.all ;;
  'cb6')   fac_v=2006_v7a.pt.all;;
  'cb6p') prof=gspro_2020_v5a_w_HECT_cap_n_trade.28Feb2019
          xref=gsref_2020_v5a_w_HECT_cap_n_trade.28Feb2019
          conv=gscnv_2020_v5a.28Feb2019 ;;
 esac

 for yymmdd in \
  200615 \

 do

  afsin=afs.tx_osd.${version}.$county_group

 master_uin=$USER_PATH/$grid/userin.$spec.YYMMDD.$ugrid
 temp_uin=$USER_PATH/$grid/userin.$spec.$yymmdd.$ugrid
 dow=`date -d $yymmdd | awk '{print $1}'`
 sed "s/DOW/$dow/g" $master_uin > $temp_uin
 dd=`echo $yymmdd | cut -c5-`
 Mmm=`date -d $yymmdd | awk '{print $2}'`
 yyyy=`date -d $yymmdd | awk '{print $NF}'`
 perl -pi -e "s/ DD Mmm YYYY/ $dd $Mmm $yyyy/" $temp_uin
 perl -pi -e "s/YYMMDD/$yymmdd/" $temp_uin 

  echo
  echo "today  yymmdd  grid scenario afsin ugrid dow dd Mmm YYYY"
  echo $today  $yymmdd  $grid $scenario $afsin $ugrid $dow $dd $Mmm $yyyy

 cd $PT_PATH/prepnt/$run_type
  run.prepnt.$run_type.sh $today $yymmdd $grid $spec $run_type $scenario $afsin $ugrid

 cd $PT_PATH/spcems/$run_type
  run.spcems.$run_type.sh $today $yymmdd $grid $spec $run_type $scenario $ugrid $prof $xref $conv
 
 cd $PT_PATH/tmprl/$run_type
  run.tmprl.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario $tmprof_xref $tmprof $ugrid

 cd $PT_PATH/grdem/$run_type
  run.grdem.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario $ugrid


 if [[ $grid == "na_12km" || $grid == "conus_12km" || $grid == "conus_36km" ]]
   then
   echo $grid
 cd $PT_PATH/pstpnt/$run_type
  run.pstpnt.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario $ugrid

 cd $PT_PATH/pigems/$run_type
  run.pigems.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario $ugrid
 fi

 # Replace yymmdd 
  rename $yymmdd OSD $PT_PATH/*/$run_type/*$scenario.$today    
 
 
 #rm $temp_uin

 #Move output files to subdirectory
 for t in prepnt spcems tmprl grdem pstpnt pigems
  do
 
   if [ ! -d  $PT_PATH/$t/$run_type/$subd ]; then
    mkdir -p $PT_PATH/$t/$run_type/$subd
   fi
   mv $PT_PATH/$t/$run_type/*$scenario.$today  $PT_PATH/$t/$run_type/$subd
   ls -l $PT_PATH/$t/$run_type/$subd/*$scenario.$today
  done #t
 
 done
 done
done

done #grid


exit

