#!/bin/sh

#  process Acid Rain Data
#   bc = basecase = day specific
#   bl = baseline = generic
#  tx_osd_fy18b_HECT c14jul2008 (0801) new afs c11jul2008
#                    c21jul2008 new afs c21jul2008 less 380 NOx records that belong in exempt
#                    c22jul2008 MECT n HECT fixes
#  tx_osd_fy18c_HECT c14jul2008 (0801) new afs c11jul2008
#  tx_osd_fy18c_075HECT c02feb2009 (0801) new afs c30jan2009 sensistivity (afs.osd_HGB_HECT_075)
#  tx_osd_fy18d_075HECT c02apr2009 (0801) new afs c02apr2009 sensistivity (afs.osd_HGB_HECT_075)
#  tx_osd_fy18e_075HECT c08apr2009 (0801) new afs c08apr2009 sensistivity (afs.osd_HGB_HECT_075)
#  tx_osd_fy18f_075HECT c03jun2009 (0801) new afs c03jun2009
#  tx_osd_fy18g_HECT_old_allo c09dec2009 (0801) new afs c09dec2009
#  tx_osd_fy12a_HECT c15Jul2010 (20060601) DFW afs c13Jul2010
#                    /ei/point/DFW/2012/model/no_zeros/afs.2012_HECT_HarrisCo_2008_basis_all_pts_v1_nozeros
#  tx_osd_fy18a_HECT 24June2013 /ei/point/TX/2018/model/afs.2018_HECT_HarrisCo_2011_basis_all_pts, MKJ 24June2013
# tx_osd_fy18a_growth_w_bank 25June2013 - /ei/point/TX/2018/model/afs.osd_hgb_dfw_growth_with_bank, MKJ 24Jun2013
# tx_osd_fy18b_growth_w_bank 15Aug2013 - afs.osd_hgb_dfw_growth_with_bank_v2, MKJ 14Jun2013 - no Midlo kilns
# fy18c_growth_w_bank 10Oct2013 - afs.osd_hgb_dfw_growth_with_bank_v5, MKJ 30Sep2013, no CO
# fy18d_growth_w_bank 21Nov2013 - afs.osd_hgb_dfw_growth_with_bank_v6, MKJ 20Nov2013
# fy18d_growth_w_bank 04Dec2013 - afs.osd_hgb_dfw_growth_with_bank_v7, MKJ 04Dec2013, hgb voc +5 tpd
# fy18d_growth_w_bank 18Dec2013 - afs.osd_hgb_dfw_growth_with_bank_v8, MKJ 10Dec2013
# fy18e_growth_w_bank 04Feb2014 - afs.osd_hgb_dfw_growth_with_bank_v10, MKJ 31Jan2014
# fy18f_growth_w_bank 28Mar2014 - STARS 2012_v1a basis for afs.osd_hgb_dfw_growth_with_bank_v11, MKJ 20Mar2014 - NOT CAMxed
# fy18f_growth_w_bank 05May2014 - STARS 2012_v1a afs.osd_hgb_dfw_growth_with_bank_v12, MKJ 29Apr2014
# fy18f_growth_w_bank 12May2014 - STARS 2012_v3a afs.osd_hgb_dfw_growth_with_bank_v12, MKJ 09May2014
# fy18f_growth_w_bank 29May2014 - STARS 2012_v4a afs.osd_hgb_dfw_growth_with_bank_v12, MKJ 28May2014
# fy18f_growth_w_bank 05Jun2014 - STARS 2012_v4a afs.osd_hgb_dfw_growth_with_bank_v12, MKJ 05Jun2014, kiln consent decree
# fy18g_growth_w_bank 02Apr2015 - 4MO_2018v2 /ei/point/TX/2x13/model/afs.osd_hgb_dfw_growth_with_bank_v13, MKJ 24Mar2015
# fy17a_growth_w_bank 20May2015 - 2017 /ei/point/TX/2017/model/afs.osd_hgb_dfw_growth_with_bank_v14, MKJ 15May2015
# fy17b_growth_w_bank 29Jun2015 - 2017 /ei/point/TX/2017/model/afs.osd_hgb_dfw_growth_with_bank_v15, MKJ 26Jun2015
# fy17c_growth_w_bank 28Apr2016 - 2017 afs.osd_hgb_dfw_growth_with_bank_v16, MKJ 22Mar2016 (fy17.c0k, hgb sip proposal)
# fy17d_growth_w_bank 31May2016 - 2017 afs.osd_hgb_dfw_growth_with_bank_v17, MKJ 27May2016
# fy17e_growth_w_bank 27Sep2016 - 2017 afs.osd_hgb_dfw_growth_with_bank_v18, MKJ 27Sep2016
# fy17f_growth_w_bank 18Nov2016 - fy2017_d shifted decimal coord fix - afs.osd_hgb_dfw_growth_with_bank_v19, MKJ 16Nov2016
# fy23a_growth_w_bank 27Jun2017 - fy2023a GNS, run.afs_split.tx_osd_fy23a_growth_w_bank_h_d.sh, MKJ 26Jun2017
# fy20a_growth_w_bank 18Jul2018 - Bump-up SIP fy2020a, afs.DFW_HGB_2020_growth_with_bank_credits, MKJ 6Jul2018
# fy20a_growth_w_bank_hc 24Oct2018 - Hard-cap, afs.DFW_HGB_2020_growth_with_bank_credits_HARD_CAP, MKJ 8Oct2018
# fy20b_growth_w_bank_hc 3Jan2019 - 2020_complete Hard-cap, afs.DFW_HGB_2020_growth_with_bank_credits_GROWTH_TO_BANK.trial, MKJ 13Dec2018
#                        9Jan2019 - afs.DFW_HGB_2020_growth_allowed_with_ERC_DERC_bank_credits, MKJ 8Jan2019
# fy20c_growth_w_bank_hc 4Mar2019 - FY2020_v1 afs.DFW_HGB_2020_growth_allowed_with_ERC_DERC_bank_credits_v2, KW 04Mar2019
#                        2Apr2019 - rerun w/ 200615 instead of 13
# fy20a_b12it_growth_w_bank 16Jul2019 - FY2020_B12_IT afs.DFW_HGB_growth_with_bank_credits_b12, KW 18Jul2019
#

 USER_PATH=/ei/point/rpo_eps3/userin
 export USER_PATH

 today=`date +%y%b%d`
 PT_PATH=/ei/point/rpo_eps3
 export PT_PATH

 EPS3_PATH=/usr/local/pub/eps3/src
 export EPS3_PATH

 for county_switch in 8co 10co
  do

  case $county_switch in
   '8co')    county_group=hgb_8co ;;
   'no8co')  county_group=no_hgb_8co ;;
   '10co')    county_group=dfw_10co ;;
   'no10co')  county_group=no_dfw_10co ;;
   'no18co') county_group=no_h_d_18co ;;
  esac

 run_type=tx_osd
 yyX=20a_b12it_growth_w_bank
 scenario=tx_osd_fy${yyX}_${county_group}
 subd=fy20a_b12it

#grid=conus_12km
 grid=na_12km

 tmprof_xref=tmprl.xref.tx_osd_fy2020c
 tmprof=tmprl.profs.tx_osd_fy2020c

 ugrid=${grid}_egu_${county_group} # force elevated

 for spec in cb6p
  do


 case $spec in
  'cb4')   fac_v=2005v3a_2004v4d.pt.all ;;
  'cb05')  fac_v=2006_v6a.pt.all ;;
  's99')   fac_v=2000v15c.pt.all ;;
  'cb6')   fac_v=2006_v7a.pt.all;;
  'cb6p') prof=gspro_2020_v5a_w_HECT_cap_n_trade.28Feb2019
          xref=gsref_2020_v5a_w_HECT_cap_n_trade.28Feb2019
          conv=gscnv_2020_v5a.28Feb2019 ;;
 esac

 for yymmdd in \
  200615 \

 do
 
 afsin=afs.tx_osd.fy${yyX}.$county_group

 master_uin=$USER_PATH/$grid/userin.$spec.YYMMDD.$ugrid
 temp_uin=$USER_PATH/$grid/userin.$spec.$yymmdd.$ugrid
 dow=`date -d $yymmdd | awk '{print $1}'`
 sed "s/DOW/$dow/g" $master_uin > $temp_uin
 dd=`echo $yymmdd | cut -c5-`
 Mmm=`date -d $yymmdd | awk '{print $2}'`
 yyyy=`date -d $yymmdd | awk '{print $NF}'`
 perl -pi -e "s/ DD Mmm YYYY/ $dd $Mmm $yyyy/" $temp_uin
 perl -pi -e "s/YYMMDD/$yymmdd/" $temp_uin 

  echo
  echo "today  yymmdd  grid scenario afsin ugrid dow dd Mmm YYYY"
  echo $today  $yymmdd  $grid $scenario $afsin $ugrid $dow $dd $Mmm $yyyy

 cd $PT_PATH/prepnt/$run_type
  run.prepnt.$run_type.sh $today $yymmdd $grid $spec $run_type $scenario $afsin $ugrid

 cd $PT_PATH/spcems/$run_type
  run.spcems.$run_type.sh $today $yymmdd $grid $spec $run_type $scenario $ugrid $prof $xref $conv

 cd $PT_PATH/tmprl/$run_type
  run.tmprl.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario $tmprof_xref $tmprof $ugrid

 cd $PT_PATH/pstpnt/$run_type
  run.pstpnt.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario $ugrid

 cd $PT_PATH/pigems/$run_type
  run.pigems.$run_type.sh  $today $yymmdd $grid $spec $run_type $scenario $ugrid
 
 # Replace yymmdd 
  rename $yymmdd OSD $PT_PATH/*/$run_type/*$scenario.$today
  
 #rm $temp_uin

#Move output files to subdirectory
 for t in prepnt spcems tmprl pstpnt pigems
  do 
   if [ ! -d  $PT_PATH/$t/$run_type/$subd ]; then
    mkdir -p $PT_PATH/$t/$run_type/$subd
   fi
   mv $PT_PATH/$t/$run_type/*$scenario.$today  $PT_PATH/$t/$run_type/$subd
   ls -l $PT_PATH/$t/$run_type/$subd/*$scenario.$today
  done #t

 done
 done
done
exit
